/*
	$Id: globals.h,v 1.7 2003/09/06 02:16:47 Treize Exp $
	By Peter Geer <geerp@cs.sunyit.edu>
*/
#ifndef _global_h
#define _global_h

#define PROJECT "ROX-Menu"

#define ENTER 0
#define LEAVE 1

#include <glib.h>
#include <gtk/gtk.h>
#include <gdk-pixbuf/gdk-pixbuf.h>

GtkWidget *create_pixmap(char *path, char ** default_icon, gint width,
                         gint height, gint unconditional);
GdkPixbuf *scale_pixbuf(GdkPixbuf *src, int max_w, int max_h, int uncond);
void change_menu_pixmap(gint state);
void write_config(void);
void read_config(void);

/* The name of the application.  Detected through an environment 
   variable set in the AppRun script.*/
gchar *app_name;
/* Global menu icon and menu button. */
GtkWidget *button, *_pixmap;
/* Here's our global configuration data. */
guint icon_width;
guint icon_height;
gchar *menu_file_on;
gchar *menu_file_off;
gint groups_on_bottom;
gint strip_number;
gint no_config_file;

#endif
